\name{maxLik}
\alias{maxLik}
\alias{parLik.c}
\alias{scoreLik.c}
\alias{infoLik.c}
\alias{adaptCens.c}
\alias{Asampling}
\title{Functions for maximum partial likelihood estimation}
\description{
 Performs maximum likelihood estimation, and conditional resampling given the censoring configuration.
 These are support functions, and not intended to be called directly by users.
}
\usage{
 maxLik(fo,Zo,oo=rep(0,nrow(Zo)),beta.init=rep(0,ncol(Zo)),...)
 parLik.c(beta,fo,Zo,oo)
 scoreLik.c(beta,fo,Zo,oo)
 infoLik.c(beta,fo,Zo,oo)
 adaptCens.c(f,RS)
 Asampling(fo,Zo,beta)
}
\arguments{
  \item{fo}{ 
   sorted status indicator,  0=right censored, 1=event.
}
  \item{Zo}{
  sorted design matrix (without the column for the intercept). 
 }
  \item{oo}{ 
   sorted offset added to the linear predictor. 
 }
   \item{beta.init}{ 
   optional starting values for maximising the partial likelihood.
 }
  \item{\dots}{ 
   optional arguments for \code{optim}.
 }
\item{beta}{ 
    parameter value where the partial likelihood and its derivatives are evaluated.  
 }
 \item{f}{ 
    generic censoring  configuration.
 }
  \item{RS}{
   risk set, subset of the integers from 1 to n (sample size).
}

}
\details{
The partial likelihood and its derivatives are returned with the negative sign.  
}
\value{
  for \code{maxLik}, an object returned by \code{optim}; for the partial likelihood and its derivative, a scalar value, a  vector and a matrix respectively. For \code{condCens.c} the resampled ranks. 
 }
\keyword{internal}

